**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/22.1/scim/users/update-current-user-with-scim.md

# Update Current User with SCIM



Update the currently authenticated user with SCIM.

<Endpoint path="/api/{version}/scim/v2/Me" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/scim+json` |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `attributes` | Optional: Include specified attributes only. Enter multiple values in a comma separated list. For example, to include only user name and email in the response, `attributes=userName,emails`. Note that the `schemas` and `id` attributes are always returned. |
| `excludedAttributes` | Optional: Exclude specific attributes from the response. Enter multiple values in a comma separated list. For example, to exclude user name and email from the response, `excludedAttributes=userName,emails`. Note that the `schemas` and `id` attributes are always returned and cannot be excluded. |
</FieldTable>

## Body Parameters {#body-parameters}

The body of your request should be a JSON file with the information you want to update for your user. You can include any editable attribute. Invalid attributes are ignored. You can set single-valued attributes to blank using `null`, or an empty array `[]` for multi-valued attributes.

You can determine which of the core attribute sare editable based on schemas. If the `mutability` is `readWrite`, the attribute is editable.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
https://veepharm.com/api/v18.2/scim/v2/Me?attributes=userName,name

```
</CodeExample>

## Body {#body}

<CodeExample title="">
```
{
    "schemas": [
        "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User",
        "urn:ietf:params:scim:schemas:core:2.0:User"
    ],
    "name": {
                "familyName": "Murray",
                "givenName": "Megan"
    }
}

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "schemas": [
        "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User",
        "urn:ietf:params:scim:schemas:core:2.0:User"
    ],
    "id": "61579",
    "name": {
        "familyName": "Murray",
        "givenName": "Megan"
    },
    "userName": "mmurray@veepharm.com"
}

```
</CodeExample>

---

**Previous:** [Retrieve Current User with SCIM](/quality/vault-api/api-reference/22.1/scim/users/retrieve-current-user-with-scim)  
**Next:** [Create User with SCIM](/quality/vault-api/api-reference/22.1/scim/users/create-user-with-scim)